<?php
/*
Plugin Name: EasySEO Pageload - JS & CSS to footer
Description: Move scripts and styles to the footer for faster page load times and improved SEO.
Version: 1.0
Author: EasyToolsWP.com
*/

function move_scripts_and_styles_to_footer() {
    if (!is_admin()) {
        // Move Scripts to Footer
        remove_action('wp_head', 'wp_print_scripts');
        remove_action('wp_head', 'wp_print_head_scripts', 9);
        remove_action('wp_head', 'wp_enqueue_scripts', 1);
        
        add_action('wp_footer', 'wp_print_scripts', 5);
        add_action('wp_footer', 'wp_enqueue_scripts', 5);
        add_action('wp_footer', 'wp_print_head_scripts', 5);

        // Move Styles to Footer
        remove_action('wp_head', 'wp_print_styles');
        remove_action('wp_head', 'wp_enqueue_styles');
        
        add_action('wp_footer', 'wp_print_styles');
        add_action('wp_footer', 'wp_enqueue_style'); // Fix: Change 'wp_enqueue_styles' to 'wp_enqueue_style'
    }
}

add_action('init', 'move_scripts_and_styles_to_footer');
?>
